optionMemberList(3)

NAME
optionMemberList - Get the list of members of a bit mask set

SYNOPSIS
#include <your-opts.h>
cc [...] -o outfile infile.c -lopts [...]

char * optionMemberList(tOptDesc * od);

DESCRIPTION
This converts the OPT_VALUE_name mask value to a allocated string. It is the caller's responsibility to free the string.

od  the set membership option description

RETURN VALUE
the names of the set bits

SEE ALSO
The info documentation for the -lopts library.
ao_string_tokenize(3), configFileLoad(3), optionFileLoad(3), optionFindNextValue(3), optionFindValue(3), optionFree(3), optionGetValue(3), optionLoadLine(3), optionNextValue(3), optionOnlyUsage(3), optionPrintVersion(3), optionPrintVersionAndReturn(3), optionProcess(3), optionRestore(3), optionSaveFile(3), optionSaveState(3), optionUnloadNested(3), optionVersion(3), strequate(3), streqvcmp(3), streqvmap(3), strneqvcmp(3), strtransform(3),